LINUX.ORG.RU

[gentoo][жалобы]glitz в cairo


0

2

Я, конечно, всё понимаю, но куда это годится? Обновился cairo, ему перестал быть нужен glitz. emerge -avc, конечно, его почистил, после чего все 100500 пакетов перестали работать. Нет, понятно, что быстро решить можно, установив glitz, долго решить - revdep-rebuild на трое суток. Но куда это годится? Здорового решения, как правильно было бы это организовать - пока не знаю, в world его прописать - так откуда оно узнает. Делать проверку перед очисткой мира, может?

Вот такие вещи, наверное, и создают впечатление наколенного дистрибутива, который опасно ставить на требовательные к downtime'у сервера.


> revdep-rebuild на трое суток
ЩИТО? о_О
оно отрабатывает максимум за несколько минут!
а вообще подобную тему поднимал - сейчас прибегут в тред недоЪ-гентушнеги и начнут кидаться какашками
надо типа следить за миром и прочим...только они до сих пор не поняли, что гента не слака - тут руками делается очень мало - подавляющая часть действий автоматизирована

megabaks ★★★★ ()
Ответ на: комментарий от megabaks

Ну как ты за несколько минут gnome и прочие webkit'ы соберёшь?

Как бы да, руками делается мало, всё делается автоматически, но очень долго. Надо бы как-то защищать от этого. За миром следить - оно, конечно, можно, но лишние телодвижения.

maxkit ()
Ответ на: комментарий от maxkit

дык revdep-rebuild то во время сборки и не работает уже ;)
он формирует список кривых пакетов и потом тупо скармливает емержу
а сам то он отрабатывает быстро же, ну

megabaks ★★★★ ()

> Вот такие вещи, наверное, и создают впечатление наколенного дистрибутива, который опасно ставить на требовательные к downtime'у сервера.

эксперты лору очень нужны, эксперты у лоре очень важны.

qnikst ★★★★★ ()

Смею спросить, а как же так получилось, что --depclean удалил этот ваш glitz, если он является зависимостью к ещё 100500 пакетам?

Insomnium ★★★★ ()
Ответ на: комментарий от Insomnium

В том и дело, что зависимостью он не являлся, зависимостью являлся, видимо, cairo 1.8, который тянул за собой glitz, а новому cairo 1.10 glitz не нужен.

maxkit ()
Ответ на: комментарий от Insomnium

молча...
без --as-needed оно будет линковаться со всем тем , что собирается и компонуется с каиро, при этом портежем это отслеживаться не будет
с --as-needed тоже может,но только если пакет будет использовать функции из этой библиотеки.

Sylvia ★★★★★ ()

(cut) cairo (cut) glitz (cut) Вот такие вещи, наверное, и создают впечатление наколенного дистрибутива, который опасно ставить на требовательные к downtime'у сервера.

Сервера такие сервера…

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Сервера такие сервера…

Я Вас сейчас научу говорить сарказмы. Вначале необходимо сказать что-то существенное по теме, тем самым придав своим последующим словам вес, а затем уже дать понять собеседнику, что он не имел права родиться. Вы же сделали только второе, не сделав первого, что низвергает Ваш сарказм с того высокого уровня, на который Вы, вероятно, рассчитывали. Аналогичные проблемы, к сожалению, не только с участием cairo наблюдаются, но и с более «серверными» пакетами.

maxkit ()
Ответ на: комментарий от maxkit

ну так написал Самули Суоминен - пересобирать )
glitz как никем более неподдерживаемый вообще убрать хотят.


Да, бывает такое, тем более с LDFLAGS без --as-needed
и даже пользователям stable приходится с этим сталкиваться, stable это же не гарантия того что никогда ничего не придется пересобирать, это лишь гарантия того что если и придется, то по одному поводу один раз... А не каждый раз когда у какого-нибудь майнтейнера где-то зачешется убрать «лишние» IUSE из gtk+:2 ебилдов

Sylvia ★★★★★ ()

Это суровая гента, привыкай.Ещё и не с такими чудесами столкнёшся.

--revdep-rebuild есть? -есть.Ну и вперёд, пересобирай.)

nitz ★★ ()
Ответ на: комментарий от maxkit

Я Вас сейчас научу говорить сарказмы.

А я вас научу быть гентушником.

Для начала важно понять что cairo & glitz вообще никаким боком не имеют отношения к вменяемому серверу.

Затем необходимо уяснить что, любое обновление чего угодно вообще а генты уж и подавно, потенциально несет в себе самые различные опасности и разгребать за тебя то что ты мог наделать никому нет желания… да еще и при всем при том, что lafilefixer, --as-needed а так же мониторинг гентушного форума на предмет твоих ошибок - дает больше шансов на работоспособность после обновлений.

И да это гента. Здесь никто вместо тебя не будет читать рукокнигу. Почему? А потому что это гента. Здесь все в твоих руках. И если у тебя какие то проблемы то это забота вовсе не генты… потому как она инструмент. Но увы любой, пусть даже самый совершенный, инструмент в неопытных руках несет в себе опасность не только для окружающих но даже для самого обладателя инструмента и неопытных рук.

Засим раскланиваюсь. Буду ждать очередных ваших отжигов. Кстати очень интересно о чем в следующий раз?

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Вы сейчас такую истерику устролили, будто сами всю Gentoo написали, а тут пришёл я и начал Вас критиковать. Ясно, что для спокойной жизни есть другие дистрибутивы. Просто то, о чём я написал - это называется бардак. И проблема коснулась не одного меня, а каждого, кто сделает emerge -avuDN world && emerge -avc.

Во FreeBSD, где считаетеся, что всё ещё суровее, я никогда такого не видел за 12 лет.

Мне кажется, что подобные проблемы надо как-то решать, а не наслаждаться тем, что они есть и дают возможность почувствовать себя суровым.

Следующий мой «отжиг» - пожалуйста:

revdep-rebuild:

emerge: there are no ebuilds to satisfy «gnome-extra/policykit-gnome:0».

Ясно, что всё решаемо. Но приятного мало.

maxkit ()
Ответ на: комментарий от maxkit

И проблема коснулась не одного меня, а каждого, кто сделает emerge -avuDN world && emerge -avc.


1). меня не коснулось, что я делаю не так?
2). проблема коснётся только тех, у кого стоит glitz (да ещё вроде и при дополнительных условиях)
3). в стабильной ветке glitz уже флагом, правда к сожалению в отличии от xcf не появляется предупреждение и не появляется оно после сборки, это да, не хорошо.
4). lafilefiler до emerge -avc наверное сильно помогло тебе, а так же emerge --depclean -a вместо посленей команды совсем бы скрасило ситуацию
5). проблема есть, о ней писали в тикете, дубликатом твоего является тот, кстати почему багзилла не была просмотрена на предмет того, что не постили ли уже такой баг


emerge: there are no ebuilds to satisfy «gnome-extra/policykit-gnome:0».

Ясно, что всё решаемо. Но приятного мало.


arch со вставками из ~arch?

qnikst ★★★★★ ()
Ответ на: комментарий от maxkit

Просто то, о чём я написал - это называется бардак

Те кто действительно этого хотел решили этот «бардак» уже очень давно и да даже без помощи lafilefixer.

FEATURES=«fixlafiles» (enabled by default): Rewrites newly installed .la files in the same way dev-util/lafilefixer does. Note that this won't fix your installed .la files.

Отвечаю на следующий ваш вопрос - да увы это не гента.

emerge: there are no ebuilds to satisfy «gnome-extra/policykit-gnome:0».

Я все еще не замечаю сервера. Что же мне делать?

init_6 ★★★★★ ()
Ответ на: комментарий от megabaks

в ~ gnome-extra/polkit-gnome

Так и не собирается. equery d policykit-gnome - не помог, чтобы определить, кто его требует.

maxkit ()
Ответ на: комментарий от maxkit

Не троллить?

Как было бы замечатльно если бы вы прочитали свой собственный совет до того как создали тему про сервер и glitz в cairo

Так и не собирается. equery d policykit-gnome - не помог, чтобы определить, кто его требует.

Требуют его gnome-base/gnome, gnome-extra/gnome-power-manager и sys-auth/polkit.

Но я как не стараюсь все еще в упор не вижу сервера.

init_6 ★★★★★ ()
Ответ на: комментарий от maxkit

[code] % gnome-extra/policykit-gnome * gnome-extra/policykit-gnome Available versions: ~0.9.2[2] ~0.92[1] {doc examples} Homepage: http://hal.freedesktop.org/docs/PolicyKit Description: PolicyKit policies and configurations for the GNOME desktop

[1] «dev-zero» layman/dev-zero [2] «steev» layman/steev % eix gnome-extra/polkit-gnome * gnome-extra/polkit-gnome Available versions: 0.96-r1 ~0.99 {debug doc examples +introspection} Homepage: http://hal.freedesktop.org/docs/PolicyKit/ Description: A dbus session bus service that is used to bring up authentication dialogs

qnikst@qnikst ~ % find /usr/portage -name '*.ebuild' -exec grep «gnome-extra/policykit-gnome» {} \; [/code] чет ты намудрил, честное слово.

qnikst ★★★★★ ()

>cairo

glitz

Вот такие вещи, наверное, и создают впечатление наколенного дистрибутива, который опасно ставить на требовательные к downtime'у сервера.

Скажите он нормальный человек?

partyzan ★★★ ()
Ответ на: комментарий от partyzan

Скажите он нормальный человек?

Слово «gentoo» как бы намекает, что нет.

Впрочем, всё успешно закончилось. В том смысле, что, взглянув на число пакетов, подлежащих пересборке, установил funtoo и пока доволен.

maxkit ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.